Subject: RE: IETF Rights in Submissions -- "Agreement" language

From: "Contreras, Jorge" <[email-masked]>
Date: Wed, 19 Feb 2003 20:55:43 -0500

>I am familiar with people being considered bound when they click "I agree"
>or otherwise manifest their agreement to be bound.  I don't recall but I
>probably clicked "I agree" to all ISOC/IETF terms and conditions of
>membership when I signed up through the ISOC website about a year or so
ago.
>Your draft does a nice job of wrapping the agreement terms in a
>non-threatening manner using terms like "memo" and "policy" but I would
>suggest that this does not help its usefulness or clarity.  The language
>that is not essential to the formation of the contractual understanding
>should be removed to a companion explanatory document.  Then some clearer
>focus can be brought to the document by giving it a heading such as
"LICENSE
>AGREEMENT FOR IETF SUBMISSIONS".

There is certainly a range of possible approaches that can be used to make an "agreement" binding.  At one end of the range are written, signed contracts.  On the other end are probably informal oral understandings.  While both can represent agreements, the difference lies in their ease of enforcement.

Unlike some other standards bodies, the IETF has neither organizational members nor a written membership agreement.  Rather, the IETF publishes its rules and policies in the form of RFCs, Best Practices and other Internet documents (I'm probably getting some of the terminology wrong).  Although the IETF does not cast these documents in terms of "License Agreements", the content of some of them (such as RFC 2026, Sec. 10 and the new Rights in Submissions document) is clearly intended to convey license rights.  The "hook" that makes these documents binding is a set of clear statements (both in document legends and elsewhere) notifying all IETF participants of the rules that must be observed as a prerequisite to IETF participation.  It would be difficult for any IETF participant to deny knowledge of these rules, or to claim that they did not apply to his/her behavior within the context of IETF discussions.  (One might analogize to the posted rules of a public swimming pool.)  T!
hus, while the IETF approach may not require written agreements from all of its members, there is a pretty high likelihood that its rules will be deemed binding on participants in its activities.

>
>Having just plowed through the flame war e-mails you refer to below and
>having seen the numerous references to people just acting on their own
>behalf and to their employers not being represented in or members of IETF,
I find it interesting that the grant of rights that the contributor is being
>deemed to make is on behalf of the contributor, AND "on behalf of the
>organization (if any) the contributor represents" ....  It seems that the
>IETF needs to come to grips with whether people involved do or do not
>"represent" their employers.  This is easy when one is a sole
proprietorship
>such as myself and possibly a few others on this list but normally
questions
>of representation and scope of authority are difficult to parse at best.
>
>Not that I think it would be the best approach in all cases, but a more
>formalized membership process that recognizes entities and the people that
>represent entities might reduce some of the useless thrashing (some will
say
>that this is concensus building but I don't see it at the moment) that
seems
>to be going on at the moment.  Certainly there are a few vocal opponents to
>this idea but I suspect that the less vocal (silent) majority may agree
that
>an unincorporated association of individuals may not be the best way to
>further the development of Internet standards in the rough and bruising
>world of today's IP rights.

This is a fundamental structural question for IETF.  I don't think that anyone is proposing that this issue be re-opened at this time, but let me give you my thoughts on how the process can work given the current structure:  Participants in IETF are asked to represent their own views, rather than those of their employers or sponsors.  This is the understanding under which all technical discussions occur at IETF, as you have probably heard many times on this list.  

That being said, it is clear than many IETF participants are employed or "sponsored" by organizations that implement IETF standards in products.  We know that any IPR developed by these people as part of the IETF discussion process will likely be owned by their employers/sponsors (under work for hire or contractual regimes).  Thus, it is important that these employers/sponsors grant IETF (broadly defined) the right to use the contributions made by these people. (remember, we are talking principally about copyright in submissions to IETF, and NOT about patent rights).  Without this grant of rights, IETF could not get any work done.

Here is where we make a leap of faith: Since IETF does not have a formal corporate membership process or a signed membership agreement, we cannot get the employers/sponsors formally to grant these rights.  HOWEVER, we ask the individual participants to ensure that their employers/sponsors make the appropriate grant of rights, and we assume that if the employers/sponsors consent to their employees' participation in IETF (which they do by paying their travel expenses, giving them time to attend, etc.), and such participation is conditioned on the employer/sponsor grants that we have outlined, then we are justified in assuming that the appropriate grants have been made by the employers/sponsors.  

Given the landscape of Dell and (maybe) Rambus, it would seem very difficult for an employer/sponsor to argue that it did NOT grant IETF the relevant rights when it sent its employees to IETF events knowing the IETF rules beforehand.  And given the current structure of IETF, I think this is the best we can do at the moment.

Proposals to change the IETF structure to add formal memberships and written membership agreements can, of course, be entertained in the discussion of re-chartering this WG.

Jorge

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg
_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg